weka.classifiers.evaluation

## Interface IntervalBasedEvaluationMetric

-     public interface IntervalBasedEvaluationMetric

  Primarily a marker interface for interval-based evaluation metrics to implement. Allows the command line interface to display these metrics or not based on user-supplied options
  Version:
    $Revision: 9320 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toSummaryString()` Return a formatted string (suitable for displaying in console or GUI output) containing all the statistics that this metric computes.
    `void` | `updateStatsForIntervalEstimator(IntervalEstimator classifier, Instance classMissing, double classValue)` Updates stats for interval estimator based on current test instance.

- - ### Method Detail

    - #### updateStatsForIntervalEstimator

          void updateStatsForIntervalEstimator(IntervalEstimator classifier,
                                             Instance classMissing,
                                             double classValue)
                                               throws java.lang.Exception

      Updates stats for interval estimator based on current test instance. Implementers need only implement this method if it is not possible to compute their statistics from what is stored in the base Evaluation object.
      Parameters:
        `classifier` - the interval estimator
        `classMissing` - the instance for which the intervals are computed, without a class value
        `classValue` - the class value of this instance
      Throws:
        `java.lang.Exception` - if intervals could not be computed successfully

    - #### toSummaryString

          java.lang.String toSummaryString()

      Return a formatted string (suitable for displaying in console or GUI output) containing all the statistics that this metric computes.
      Returns:
        a formatted string containing all the computed statistics